
Foreman - Bug #5398

undefined method `puppet_proxies'

04/22/2014 06:35 PM - Brad Crochet

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installing the foreman 1.5 via astapor got the following error:

1. sudo -u foreman scl enable ruby193 "cd $FOREMAN_DIR; RAILS_ENV=production rake puppet:import:puppet_classes[batch]

--trace"

Invoke puppet:import:puppet_classes (first_time)

Invoke environment (first_time)

Execute environment

Execute puppet:import:puppet_classes

rake aborted!

undefined method `puppet_proxies' for #<Class:0x000000056a79a8>

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/dynamic_matchers.rb:55:in

`method_missing'

/usr/share/foreman/lib/tasks/puppet.rake:65:in `block (3 levels) in <top (required)>'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `call'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `block in execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

Tasks: TOP => puppet:import:puppet_classes

Associated revisions

Revision f516c137 - 04/25/2014 10:20 AM - Dmitri Dolguikh 

fixes #5398: replaces calls to deprecated SmartProxy.*_proxies scope with SmartProxy.with_features scope

Revision 787a6691 - 04/28/2014 11:51 AM - Dmitri Dolguikh 

fixes #5398: replaces calls to deprecated SmartProxy.*_proxies scope with SmartProxy.with_features scope

(cherry picked from commit f516c137e518427defb83247e4c2d6a7d6cc1f1c)

History

#1 - 04/22/2014 06:36 PM - Dominic Cleal

05/11/2024 1/2



- Priority changed from Normal to High

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

puppet.rake needs updating to use SmartProxy.with_features.

#2 - 04/24/2014 10:35 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 04/24/2014 10:45 AM - Anonymous

- Status changed from Assigned to Ready For Testing

- Target version changed from 1.8.4 to 1.8.3

PR: https://github.com/theforeman/foreman/pull/1400

#4 - 04/25/2014 10:24 AM - Dominic Cleal

Actually, I just realised that the error is caused by the seed not working (which as we know, was caused by seeds.rb being overwritten).  It's using a

deprecated method, but probably fixing seeds.rb is enough for it to work again.

#5 - 04/25/2014 10:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f516c137e518427defb83247e4c2d6a7d6cc1f1c.
